<template>
  <div class="f aic px1 header">
    <div class="container">
      <div class="f aic jcb w100">
        <nuxt-link to="/">
          <IconLogo class="header__logo"/>
        </nuxt-link>
        <div v-if="items && items.length && !isMobile" class="f aic header__menu">
          <a v-for="(item, index) in items" :key="index" class="p3 px075 gray-5 header__menu-item" :href='`#${item.link}`'>
            {{ item.name }}
          </a>
        </div>
        <div v-if="!isMobile" class="header__search">
          <v-input input-classes="border-radius-m bg-gray-5" placeholder="Tìm kiếm" :icon="{ name: 'search', align: 'right' }"/>
        </div>
        <div v-if="isMobile" class="f aic jcc bg-gray-4 border-radius-m header__icon">
          <IconMenuBar/>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import mixins from '~/common/plugins/mixins'

export default {
  name: 'Header',
  mixins: [mixins],
  props: {
    hasMenu: {
      type: Boolean,
      default: true,
    },
    hasIconBack: {
      type: Boolean,
      default: false,
    },
    isHidden: {
      type: Boolean,
      default: false,
    }
  },

  data() {
    return {
      items: [
        {
          name: 'Ứng dụng',
          link: 'section-app'
        },
        {
          name: 'Giới thiệu',
          link: 'section-intro'
        },
        {
          name: 'Hỗ trợ',
          link: 'section-support'
        },
        {
          name: 'F.A.Q',
          link: 'section-faqs'
        },
      ]
    }
  },
  computed: {
    headerTitle () {
      return this.$store.state.headerTitle
    },

    dataStorage () {
      return this.$store.state.dataStorage
    }
  },

  methods: {
    handleBack () {
      if(this.dataStorage) {
        this.isShowDialog = true
      } else {
        this.$router.go(-1)
      }
    },

    confirm () {
      this.isShowDialog = false
      this.$router.go(-1)
      this.$store.dispatch('setDataStorage', null)
    },

    abort () {
      this.closeDialog()
    },

    closeDialog () {
      this.isShowDialog = false
    }
  }
}
</script>

<style lang="scss" scoped>
@import "header.scss";
</style>
